Installing SAFE on Nokia 2720

I have sent a link to install SAFE to my son's Nokia 2720 flip however it is not a smart phone so doesn't have Play Store. How do I install?

Best Answer

  • SimonSimon Posts: 2,582
    Accepted Answer

    For phones, I believe F-Secure supports:

     

    • iOS 10 and later
    • Android 5.0 and later

     

    So if the Nokia is neither of them, I think you'll be out of luck.

Answers

Sign In or Register to comment.